### Method

# Gdk.Display.map_keycode

#### Declaration [src]

    gboolean
    gdk_display_map_keycode (
      GdkDisplay* display,
      guint keycode,
      GdkKeymapKey** keys,
      guint** keyvals,
      int* n_entries
    )

#### Description [src]

Returns the keyvals bound to `keycode`.

The Nth `GdkKeymapKey` in `keys` is bound to the Nth keyval in `keyvals`.

When a keycode is pressed by the user, the keyval from this list of entries is selected by considering the effective keyboard group and level.

Free the returned arrays with `g_free()`.

#### Parameters

`keycode` | `guint`
| a keycode
`keys` | An array of `GdkKeymapKey`
| return location for array of `GdkKeymapKey`, or `NULL`
| Direction: out
| The length of the array is in the `n_entries` argument
| Ownership of the data is transferred to the callee
`keyvals` | An array of `guint*`
| return location for array of keyvals, or `NULL`
| Direction: out
| The length of the array is in the `n_entries` argument
| Ownership of the data is transferred to the callee
`n_entries` | `int*`
| length of `keys` and `keyvals`
| Direction: out
| Ownership of the data is transferred to the callee

#### Return value

Returns: `gboolean`
`TRUE` if there were any entries